loadNews();
function onLoad() {
        document.addEventListener("online", onOnline, false);
        document.addEventListener("offline", onOffline, false);
        document.addEventListener("deviceready", onDeviceReady, false);
}
function onOffline() {
    alert("Ni internetne povezave.")
}
function onDeviceReady() {
    console.log("onDeviceReady");
}

// Handle the online event
//
function onOnline() {
    console.log("onOnline");
}
 
$('#dcontent .home').fadeIn(500);
var hasBeenClicked = false;
//cta fixed to top
$(window).scroll(function(e) {
    // Get the position of the location where the scroller starts.
    var scroller_anchor = $(".scroller_anchor").offset().top;
     
    // Check if the user has scrolled and the current position is after the scroller start location and if its not already fixed at the top
    if ($(this).scrollTop() >= scroller_anchor && $('.cta').css('position') != 'fixed')
    {    // Change the CSS of the scroller to hilight it and fix it at the top of the screen.
         $('.cta').addClass("stick");

        // Changing the height of the scroller anchor to that of scroller so that there is no change in the overall height of the page.
        $('.scroller_anchor').css('height', '90px');
    }
    else if ($(this).scrollTop() < scroller_anchor && $('.cta').css('position') != 'relative')
    {    // If the user has scrolled back to the location above the scroller anchor place it back into the content.
         
        // Change the height of the scroller anchor to 0 and now we will be adding the scroller back to the content.
        $('.scroller_anchor').css('height', '0px');
         
         $('.cta').removeClass("stick");
    }
});

//loadnje main menu linkov
$('a.navbar-brand').live('click',function(e){
	if(!hasBeenClicked){
	e.preventDefault();
		hasBeenClicked = true;
		$('.row-offcanvas').toggleClass('active').animate({"right":"0px"}, "slow");
		function loadContent() { 
			$('#dcontent').delay(200).load(toLoad,'',showNewContent);
			

		}
		function showNewContent() {
				loadNews();
			$( ".navbar-brand" ).removeClass( "open" );
			$('#dcontent .home').fadeIn(200, function() {$("#preloader").fadeOut(200);});
			
				hasBeenClicked = false;
		}
		var toLoad = $(this).attr('href')+' #dcontent';
		$("#preloader").fadeIn(200, function() {
			$('#dcontent').show(loadContent());
	  });
		
	}
});	

/*
document.addEventListener("backbutton", function(e){
	if(!hasBeenClicked){
	e.preventDefault();
		hasBeenClicked = true;
		$('.row-offcanvas').toggleClass('active').animate({"right":"0px"}, "slow");
		function loadContent() { 
			$('#dcontent').delay(200).load(toLoad,'',showNewContent);
			$("#preloader").fadeOut(200);
		}
		function showNewContent() {
				loadNews();
			$( ".navbar-brand" ).removeClass( "open" );
			$('#dcontent .home').fadeIn(200);
			
				hasBeenClicked = false;
		}
		var toLoad = 'main.html#dcontent';
		$("#preloader").fadeIn(200, function() {
			$('#dcontent').show(loadContent());
	  });
		
	}
}, false);
*/
$('.media a').live('click',function(e){
	if(!hasBeenClicked){
		$('.row-offcanvas').toggleClass('active').animate({"right":"0px"}, "slow");
		e.preventDefault();
		currID = this.id;
		hasBeenClicked = true;
		var url = 'http://www.staljubljana.com/mobile/coolakcije.php?callback=?';
		$("#preloader").fadeIn(200);
		function showNewContent() {
			$.ajax({
			   type: 'GET',
				url: url,
				async: false,
				jsonpCallback: 'jsonCallback',
				contentType: "application/json",
				dataType: 'jsonp',
				success: function(json) {
					$.each(json.coolakcije, function(i,akcija){
						if (akcija.id == currID){
							var tblRow ='<h1 class="text-center">'+akcija.title+'</h1><div class="scroller_anchor"></div><img class="media-object img-rounded" width="100%" src="'+akcija.foto+'"><div class="clearfix"></div><div class="cta"><div class="col-xs-6"><a href="mailto:info@stapotovanja.com" class="btn btn-default btn-block">Pošlji sporočilo</a></div><div class="col-xs-6"><a href="tel:0038614391690" class="btn btn-primary btn-block">Pokliči</a></div><div class="clearfix"></div>';
							$(tblRow).prependTo(".openitem");
							$('<button class="btn btn-primary btn-block ssharing" onclick="window.plugins.socialsharing.share(\''+akcija.title+'\', null, \''+akcija.foto+'\', \''+akcija.url+'\')">Deli s prijatelji!</button>').appendTo(".openitem");
						}				 
					});	   
	
			},
				error: function(e) {
				   console.log(e.message);
				}
			});
			$('html, body').animate({scrollTop: '0px'}, 800);
			$('#dcontent').fadeIn(500,function(){$("#preloader").fadeOut(200);});
			$( ".navbar-brand" ).addClass( "open" );
			
			setTimeout(function() {
				hasBeenClicked = false;
			}, 200);
		}
		var toLoad = $(this).attr('href')+' #dcontent';
		$("#dcontent").fadeOut(200, function() {
			$('#dcontent').load(toLoad,'',showNewContent);
	  });
		
	}
});	

$( window ).resize(function() {
	var viewport_width = window.innerWidth;
	var viewport_height = window.innerHeight;
	$('.row-offcanvas-right').height((viewport_height));
	$(window).resize(function() {
	  var viewport_width = window.innerWidth;
	  var viewport_height = window.innerHeight;
		$('.row-offcanvas-right').css('min-height', viewport_height+'px');
	});
});
var viewport_width = window.innerWidth;
var viewport_height = window.innerHeight;
//$('.row-offcanvas-right').height((viewport_height));
$(window).resize(function() {
  var viewport_width = window.innerWidth;
  var viewport_height = window.innerHeight;
	//$('.row-offcanvas-right').css('min-height', viewport_height+'px');
});
//menu toggle
$('[data-toggle=offcanvas]').click(function() {
	var parsedCssValue = parseInt($('.row-offcanvas').css('right')); //returns 20
	if(parsedCssValue=="300"){
		
		$('html, body').animate({scrollTop: '0px'}, 800,function(){$('.row-offcanvas').toggleClass('active').animate({"right":"0px"}, "slow");});
	}else{
		
		$('html, body').animate({scrollTop: '0px'}, 800,function(){$('.row-offcanvas').toggleClass('active').animate({"right":"300px"}, "slow");});
	}
});

function loadNews(){
(function($) {var url = 'http://www.staljubljana.com/mobile/coolakcije.php?callback=?';

$.ajax({
   type: 'GET',
    url: url,
    async: false,
    jsonpCallback: 'jsonCallback',
    contentType: "application/json",
    dataType: 'jsonp',
    success: function(json) {
    	i=0;
		$.each(json.coolakcije, function(i,akcija){
		i++;
		if(i==1){window.myValue = akcija.id; }
			var tblRow =
			'<div class="media">'
				+'<a href="http://www.staljubljana.com/mobile/coolakcije.php?id='+akcija.id+'" id="'+akcija.id+'">'
				/*+'<a href="content.html" id="'+akcija.id+'">'*/
					+'<div class="pull-left">'
						+'<img class="media-object img-rounded" width="200" src="'+akcija.foto+'">'
					+'</div>'
					+'<div class="media-body">'
						+'<h4 class="media-heading">'+akcija.title+'</h4>'
						+'<p>'+akcija.uvod+'</p>'
						+'<p>Cena: <strong>'+akcija.cena+'</strong></p>'
						+'<p>Datum: <strong>'+akcija.datum+'</strong></p>'
					+'</div>'
				+'</a>'
			+'</div>';
			$(tblRow).appendTo("#dcontent .home");
		});	  





		





    },
    error: function(e) {
       console.log(e.message);
    }
});
})(jQuery);

}

var pushNotification;

function onDeviceReady() {
   // $("#app-status-ul").append('<li>deviceready event received</li>');
	
	document.addEventListener("backbutton", function(e)
	{
		//$("#app-status-ul").append('<li>backbutton event received</li>');
		
		if( $("#home").length > 0)
		{
			// call this to get a new token each time. don't call it to reuse existing token.
			//pushNotification.unregister(successHandler, errorHandler);
			e.preventDefault();
			navigator.app.exitApp();
		}
		else
		{
			navigator.app.backHistory();
		}
	}, false);

	try 
	{ 
		pushNotification = window.plugins.pushNotification;
		if (device.platform == 'android' || device.platform == 'Android') {
			//$("#app-status-ul").append('<li>registering android</li>');
			pushNotification.register(successHandler, errorHandler, {"senderID":"1053335551463","ecb":"onNotificationGCM"});		// required!
		} else {
			//$("#app-status-ul").append('<li>registering iOS</li>');
			pushNotification.register(tokenHandler, errorHandler, {"badge":"true","sound":"true","alert":"true","ecb":"onNotificationAPN"});	// required!
		}
	}
	catch(err) 
	{ 
		txt="There was an error on this page.\n\n"; 
		txt+="Error description: " + err.message + "\n\n"; 
		alert(txt); 
	} 


	
}

// handle APNS notifications for iOS
function onNotificationAPN(e) {
	if (e.alert) {
		 //$("#app-status-ul").append('<li>push-notification: ' + e.alert + '</li>');
		 navigator.notification.alert(e.alert);
	}
		
	if (e.sound) {
		var snd = new Media(e.sound);
		snd.play();
	}
	
	if (e.badge) {
		pushNotification.setApplicationIconBadgeNumber(successHandler, e.badge);
	}
}



































// handle GCM notifications for Android
function onNotificationGCM(e) {
	//$("#app-status-ul").append('<li>EVENT -> RECEIVED:' + e.event + '</li>');
			//$("#app-status-ul").append('<li>MESSAGE -> MSG: ' + e.payload.message + '</li>');
			//$("#app-status-ul").append('<li>MESSAGE -> MSGCNT: ' + e.payload.msgcnt + '</li>');

	switch( e.event )
	{
		case 'registered':
		if ( e.regid.length > 0 )
		{
			//$("#app-status-ul").append('<li>REGISTERED -> REGID:' + e.regid + "</li>");
			// Your GCM push server needs to know the regID before it can push to this device
			// here is where you might want to send it the regID for later use.
			console.log("regID = " + e.regid);
			
			
			//vpis id naprave v bazo
			$.ajax({  
				type: "POST",  
				url: "http://www.staljubljana.com/app/register.php",  
				data: { action: "saveDevice", deviceId: e.regid} 
			});  
		}
		break;
		
		case 'message':
			// if this flag is set, this notification happened while we were in the foreground.
			// you might want to play a sound to get the user's attention, throw up a dialog, etc.
			if (e.foreground)
			{
				//$("#app-status-ul").append('<li>--INLINE NOTIFICATION--' + '</li>');
				
				// if the notification contains a soundname, play it.
				var my_media = new Media("/android_asset/www/"+e.soundname);
				my_media.play();
			}
			else
			{	// otherwise we were launched because the user touched a notification in the notification tray.
				//if (e.coldstart)
					//$("#app-status-ul").append('<li>--COLDSTART NOTIFICATION--' + '</li>');
				//else
				//$("#app-status-ul").append('<li>--BACKGROUND NOTIFICATION--' + '</li>');

			}
					$('.row-offcanvas').toggleClass('active').animate({"right":"0px"}, "slow");
		var currID = window.myValue;
		hasBeenClicked = true;
		var url = 'http://www.staljubljana.com/mobile/coolakcije.php?callback=?';
		$("#preloader").fadeIn(200);
		function showNewContent2() {
			$.ajax({
			   type: 'GET',
				url: url,
				async: false,
				jsonpCallback: 'jsonCallback',
				contentType: "application/json",
				dataType: 'jsonp',
				success: function(json) {
					$.each(json.coolakcije, function(i,akcija){
						if (akcija.id == currID){
							console.log(currID);
							var tblRow ='<h1 class="text-center">'+akcija.title+'</h1><div class="scroller_anchor"></div><img class="media-object img-rounded" width="100%" src="'+akcija.foto+'"><div class="clearfix"></div><div class="cta"><div class="col-xs-6"><a href="mailto:info@stapotovanja.com" class="btn btn-default btn-block">Pošlji sporočilo</a></div><div class="col-xs-6"><a href="tel:0038614391690" class="btn btn-primary btn-block">Pokliči</a></div><div class="clearfix"></div>';
							$(tblRow).prependTo(".openitem");
							$('<button class="btn btn-primary btn-block ssharing" onclick="window.plugins.socialsharing.share(\''+akcija.title+'\', null, \''+akcija.foto+'\', \''+akcija.url+'\')">Deli s prijatelji!</button>').appendTo(".openitem");
						}				 
					});	   
	
			},
				error: function(e) {
				   console.log(e.message);
				}
			});
			$('html, body').animate({scrollTop: '0px'}, 800);
			$('#dcontent').fadeIn(500,function(){$("#preloader").fadeOut(200);});
			$( ".navbar-brand" ).addClass( "open" );
			
			setTimeout(function() {
				hasBeenClicked = false;
			}, 200);
		}
		var toLoad2 = $("#dcontent .home:first-child a").attr('href')+' #dcontent';
		//alert(currID);
		$("#dcontent").fadeOut(200, function() {
			$('#dcontent').load(toLoad2,'',showNewContent2);
	    });
	

		break;
		
		case 'error':
			//$("#app-status-ul").append('<li>ERROR -> MSG:' + e.msg + '</li>');
		break;
		
		default:
			//$("#app-status-ul").append('<li>EVENT -> Unknown, an event was received and we do not know what it is</li>');
		break;
	}
}

function tokenHandler (result) {
	//$("#app-status-ul").append('<li>token: '+ result +'</li>');
	// Your iOS push server needs to know the token before it can push to this device
	// here is where you might want to send it the token for later use.
}

function successHandler (result) {
	//$("#app-status-ul").append('<li>success:'+ result +'</li>');
}

function errorHandler (error) {
	//$("#app-status-ul").append('<li>error:'+ error +'</li>');
}

document.addEventListener('deviceready', onDeviceReady, true);


